package de.unihannover.orderingExperimentAnalysis;

import de.unihannover.orderingExperimentAnalysis.SessionData.Defect;
import de.unihannover.orderingExperimentUi.Diff;

public enum Patch {

    WU {
        @Override
        public Defect[] getDefects() {
            return de.unihannover.orderingExperimentAnalysis.WU.values();
        }
        @Override
        public Diff toDiff() {
            throw new AssertionError();
        }
    },
    P1 {
        @Override
        public Defect[] getDefects() {
            return de.unihannover.orderingExperimentAnalysis.P1.values();
        }
        @Override
        public Diff toDiff() {
            return Diff.DIFF1;
        }
    },
    P2 {
        @Override
        public Defect[] getDefects() {
            return de.unihannover.orderingExperimentAnalysis.P2.values();
        }
        @Override
        public Diff toDiff() {
            return Diff.DIFF1;
        }
    };

    public abstract Defect[] getDefects();

    public abstract Diff toDiff();

}
